debian.tryphon.eu/ ist down

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.
Forumsregeln
Bitte die Beiträge kurz fassen, so kann man sie nachher besser finden. Sollte ein Problem gelöst sein, dann einen neuen Beitrag eröffnen. Ebenso wenn die Ursache eine ganz andere ist, oder es Offtopic wird.

debian.tryphon.eu/ ist down

Beitragvon moos » Dienstag 8. Januar 2019, 12:31

Hallo,
nach langer Zeit versuche ich theli wieder zu installieren.
Ich habe eine aktuelle Debian Linux 9.1.0 _Stretch_ - Official amd64 als Distribution

Es treten aber Probleme auf, die ich nicht lösen kann:
Das Wichtigste:
http://debian.tryphon.eu/ existiert nicht mehr : QT-3 ist nicht immer schwieriger
Es gibt auf https://mirrors.mediatemple.net/debian-archive/debian/pool/main die erforderlichen Pakete für QT-3, aber ich scheiter an den Paketabhängigkeiten.

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
  • libqt3-mt-dev existiert nicht mehr, E: Paket libqt3-mt-dev kann nicht gefunden werden.
  • Hinweis: »libgsl-dev« wird an Stelle von »libgsl0-dev« gewählt.
    Paket libgsl0ldbl ist nicht verfügbar, Doch die folgenden Pakete ersetzen es: libgsl2
  • libtiff4-dev entfernt wurde oder nur aus einer anderen Quelle verfügbar ist.
    Doch die folgenden Pakete ersetzen es: libtiff5-dev
  • E: Für Paket »libtiff4-dev« existiert kein Installationskandidat.
  • E: Paket libpng3 kann nicht gefunden werden.

ein paar Abhängigkeitsfehler:
sudo dpkg -i libqt3-mt-dev_3.3.8b-7+b1_amd64.deb
Vormals nicht ausgewähltes Paket libqt3-mt-dev wird gewählt.
(Lese Datenbank ... 197793 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von libqt3-mt-dev_3.3.8b-7+b1_amd64.deb ...
Entpacken von libqt3-mt-dev (3:3.3.8b-7+b1) ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von libqt3-mt-dev:
libqt3-mt-dev hängt ab von libxext-dev (>= 4.3.0.dfsg.1-4); aber:
Paket libxext-dev ist nicht installiert.
libqt3-mt-dev hängt ab von libxrandr-dev (>= 4.3.0.dfsg.1-4); aber:
Paket libxrandr-dev ist nicht installiert.
...
libqt3-mt-dev hängt ab von libqt3-mt (= 3:3.3.8b-7+b1); aber:
Paket libqt3-mt ist nicht installiert.
libqt3-mt-dev hängt ab von libqt3-headers (= 3:3.3.8b-7+b1); aber:
Paket libqt3-headers ist nicht installiert.
libqt3-mt-dev hängt ab von qt3-dev-tools (= 3:
Ciao Carsten
moos
 
Beiträge: 427
Registriert: Dienstag 18. Oktober 2011, 19:06

Re: debian.tryphon.eu/ ist down

Beitragvon fehlfarbe » Dienstag 8. Januar 2019, 18:23

Hey Carsten,

beim erstellen des Docker-Containers mit Ubuntu 16.04 bin ich auf das selbe Problem gestoßen. Ich benötigte folgende .deb Pakete, die nicht in den Quellen zu finden waren:

Code: Alles auswählen
liblcms1_1.19.dfsg-1ubuntu3_amd64.deb
libmng1_1.0.10-3_amd64.deb
libqt3-headers_3.3.8-b-8ubuntu3_amd64.deb
libqt3-mt_3.3.8-b-8ubuntu3_amd64.deb
libqt3-mt-dev_3.3.8-b-8ubuntu3_amd64.deb
qt3-dev-tools_3.3.8-b-8ubuntu3_amd64.deb


Die Pakete habe ich unter https://www.ubuntuupdates.org/ gefunden.

Der Rest war in den Quellen vorhanden:
Code: Alles auswählen
sudo apt install -y libxrandr-dev libsm-dev libxmu-dev libice-dev libx11-dev libxt-dev libxrender-dev libxcursor-dev libxinerama-dev libxi-dev libmng-dev libpng12-dev libfontconfig1-dev libfreetype6-dev libxft-dev libaudio-dev libcups2-dev libgl1-mesa-dev libglu1-mesa-dev


bzw. mein ganzes Dockerfile, das auf einem sauberen Ubuntu 16.04 aufsetzt, sieht so aus:

Code: Alles auswählen
FROM ubuntu:16.04
SHELL ["/bin/bash", "-c"]

# Replace 1000 with your user / group id
RUN apt-get update && apt-get install -y sudo apt-utils wget
RUN export uid=1000 gid=1000 && \
    mkdir -p /home/user && \
    echo "user:x:${uid}:${gid}:user,,,:/home/user:/bin/bash" >> /etc/passwd && \
    echo "user:x:${uid}:" >> /etc/group && \
    #mkdir -p /etc/sudoers.d/ \
    echo "user ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers && \
    #chmod 0440 /etc/sudoers.d/mechlab && \
    chown ${uid}:${gid} -R /home/user

USER user
ENV HOME /home/user

# download Theli src
RUN sudo mkdir /opt/theli \
   && sudo chown user:user /opt/theli \
   && cd /opt/theli/ \
   && wget https://www.astro.uni-bonn.de/theli/gui/download/theli-1.9.5.tgz && wget https://www.astro.uni-bonn.de/theli/gui/download/gui-2.10.5.tgz \
   && tar xfv theli-1.9.5.tgz && tar xfv gui-2.10.5.tgz
# install requirements
RUN sudo apt install -y csh g++ gawk wget build-essential python python-dev python-numpy python-scipy libbz2-dev \
   python-matplotlib libplplot12 plplot12-driver-cairo libgsl-dev libfftw3-dev libtiff5-dev imagemagick libpng3 libccfits-dev \
   python-pip && sudo pip install pyfits
# install qt3
RUN sudo apt install -y libxrandr-dev libsm-dev libxmu-dev libice-dev libx11-dev libxt-dev libxrender-dev libxcursor-dev libxinerama-dev libxi-dev libmng-dev libpng12-dev libfontconfig1-dev libfreetype6-dev libxft-dev libaudio-dev libcups2-dev libgl1-mesa-dev libglu1-mesa-dev
COPY ./*.deb /tmp/
RUN cd /tmp/ && ls -l  \
   && sudo dpkg -i liblcms1_1.19.dfsg-1ubuntu3_amd64.deb \
   && sudo dpkg -i libmng1_1.0.10-3_amd64.deb \
   && sudo dpkg -i libqt3-mt_3.3.8-b-8ubuntu3_amd64.deb \
   && sudo dpkg -i libqt3-headers_3.3.8-b-8ubuntu3_amd64.deb \
   && sudo dpkg -i qt3-dev-tools_3.3.8-b-8ubuntu3_amd64.deb \
   && sudo dpkg -i libqt3-mt-dev_3.3.8-b-8ubuntu3_amd64.deb
# compile theli
RUN cd /opt/theli/theli-1.9.5/pipesetup/ && ./install.sh -m "ALL" && cd /opt/theli/gui-2.10.5/ && ./install.sh
# && echo "PATH=$PATH:/opt/theli/theli/bin/Linux_64/" >> ~/.bashrc

# install scamp
RUN sudo apt install -y scamp && sudo ln -s /usr/bin/scamp /opt/theli/theli/bin/Linux_64/

#CMD bash
CMD /opt/theli/gui/theli
Benutzeravatar
fehlfarbe
 
Beiträge: 126
Registriert: Donnerstag 20. Oktober 2011, 22:24

Re: debian.tryphon.eu/ ist down

Beitragvon moos » Mittwoch 9. Januar 2019, 19:38

Hallo Marcus,
danke für die Hinweise. Ich werde demnächst nochmal einen Anlauf nehmen. Jedoch kann ich mir nicht vorstellen, dass ich die ubuntu-Deb Dateien ohne weiteres installieren kann.
Ich hoffe, ich finde die passenden.
Ciao Carsten
moos
 
Beiträge: 427
Registriert: Dienstag 18. Oktober 2011, 19:06


Zurück zu Installation und Ubuntheli

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 0 Gäste

cron